-- -------------------------------------------------------------------------- --
--                                   Ores                                     --
-- -------------------------------------------------------------------------- --


-- Fuel: Coal, Uranium, Peat
core.register_node("vox_core:coal_ore", {
    description = "Coal Ore",
    tiles = {"vox_coal_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("coal_ore", "vox_core:coal_ore")
core.register_alias("default:stone_with_coal", "vox_core:coal_ore")

core.register_node("vox_core:uranium_ore", {
    description = "Uranium Ore",
    tiles = {"vox_uranium_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("uranium_ore", "vox_core:uranium_ore")
core.register_alias("default:stone_with_uranium", "vox_core:uranium_ore")

core.register_node("vox_core:peat", {
    description = "Peat",
    tiles = {"vox_peat.png"},
    groups = {crumbly = 2, flammable = 1}
})
core.register_alias("peat", "vox_core:peat")

-- Bone
core.register_node("vox_core:bone_ore", {
    description = "Bone Ore",
    tiles = {"vox_bone_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("bone_ore", "vox_core:bone_ore")
core.register_alias("default:stone_with_bone", "vox_core:bone_ore")

-- Sulfur
core.register_node("vox_core:sulfur_ore", {
    description = "Sulfur Ore",
    tiles = {"vox_sulfur_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("sulfur_ore", "vox_core:sulfur_ore")
core.register_alias("default:stone_with_sulfur", "vox_core:sulfur_ore")

-- Salt
core.register_node("vox_core:salt_ore", {
    description = "Salt Ore",
    tiles = {"vox_salt_ore.png"},
    groups = {crumbly = 2},
    drop = "vox_mats:salt"
})
core.register_alias("salt_ore", "vox_core:salt_ore")
core.register_alias("default:stone_with_salt", "vox_core:salt_ore")

-- Metals: Copper, Tin, Iron, Gold, Silver, Platinum, Lead, Zinc, Nickel, Cobalt, Titanium, Tungsten
core.register_node("vox_core:copper_ore", {
    description = "Copper Ore",
    tiles = {"vox_copper_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("copper_ore", "vox_core:copper_ore")
core.register_alias("default:stone_with_copper", "vox_core:copper_ore")

core.register_node("vox_core:tin_ore", {
    description = "Tin Ore",
    tiles = {"vox_tin_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("tin_ore", "vox_core:tin_ore")
core.register_alias("default:stone_with_tin", "vox_core:tin_ore")

core.register_node("vox_core:iron_ore", {
    description = "Iron Ore",
    tiles = {"vox_iron_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("iron_ore", "vox_core:iron_ore")
core.register_alias("default:stone_with_iron", "vox_core:iron_ore")

core.register_node("vox_core:gold_ore", {
    description = "Gold Ore",
    tiles = {"vox_gold_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("gold_ore", "vox_core:gold_ore")
core.register_alias("default:stone_with_gold", "vox_core:gold_ore")

core.register_node("vox_core:silver_ore", {
    description = "Silver Ore",
    tiles = {"vox_silver_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("silver_ore", "vox_core:silver_ore")
core.register_alias("default:stone_with_silver", "vox_core:silver_ore")

core.register_node("vox_core:platinum_ore", {
    description = "Platinum Ore",
    tiles = {"vox_platinum_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("platinum_ore", "vox_core:platinum_ore")
core.register_alias("default:stone_with_platinum", "vox_core:platinum_ore")

core.register_node("vox_core:lead_ore", {
    description = "Lead Ore",
    tiles = {"vox_lead_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("lead_ore", "vox_core:lead_ore")
core.register_alias("default:stone_with_lead", "vox_core:lead_ore")

core.register_node("vox_core:zinc_ore", {
    description = "Zinc Ore",
    tiles = {"vox_zinc_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("zinc_ore", "vox_core:zinc_ore")
core.register_alias("default:stone_with_zinc", "vox_core:zinc_ore")

core.register_node("vox_core:nickel_ore", {
    description = "Nickel Ore",
    tiles = {"vox_nickel_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("nickel_ore", "vox_core:nickel_ore")
core.register_alias("default:stone_with_nickel", "vox_core:nickel_ore")

core.register_node("vox_core:cobalt_ore", {
    description = "Cobalt Ore",
    tiles = {"vox_cobalt_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("cobalt_ore", "vox_core:cobalt_ore")
core.register_alias("default:stone_with_cobalt", "vox_core:cobalt_ore")

core.register_node("vox_core:titanium_ore", {
    description = "Titanium Ore",
    tiles = {"vox_titanium_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("titanium_ore", "vox_core:titanium_ore")
core.register_alias("default:stone_with_titanium", "vox_core:titanium_ore")

core.register_node("vox_core:tungsten_ore", {
    description = "Tungsten Ore",
    tiles = {"vox_tungsten_ore.png"},
    groups = {cracky = 2}
})
core.register_alias("tungsten_ore", "vox_core:tungsten_ore")
core.register_alias("default:stone_with_tungsten", "vox_core:tungsten_ore")